- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

- Class List
- Class Members

# axutil_log_ops Struct Reference
[log]

Axis2 log ops struct. More...

`#include <axutil_log.h>`

List of all members.

## Public Attributes
void(* | free )(axutil_allocator_t *allocator, struct axutil_log *log)
void(* | write )(axutil_log_t *log, const axis2_char_t *buffer, axutil_log_levels_t level, const axis2_char_t *file, const int line)

## Detailed Description

Axis2 log ops struct.

Encapsulator struct for ops of axutil_log

## Member Data Documentation

void( * axutil_log_ops::free)(axutil_allocator_t *allocator, struct axutil_log *log)

deletes the log

Returns:
  axis2_status_t AXIS2_SUCCESS on success else AXIS2_FAILURE

void( * axutil_log_ops::write)(axutil_log_t *log, const axis2_char_t *buffer, axutil_log_levels_t level, const axis2_char_t *file, const int line)

writes to the log

Parameters:

  | buffer | buffer to be written to log
  | size | size of the buffer to be written to log

Returns:
  satus of the op. AXIS2_SUCCESS on success else AXIS2_FAILURE

The documentation for this struct was generated from the following file:

- axutil_log.h